package com.zhiwei.manage.service;

import java.util.List;

import com.zhiwei.manage.bean.Message;
import com.zhiwei.manage.bean.PageEty;

/**
 * 信息服务部分
 * 
 * @author admin
 *
 */
public interface MessageService {

	/**
	 * 插入
	 * 
	 * @param message
	 */
	public void insert(Message message);

	/**
	 * 更新
	 * 
	 * @param message
	 * @param pt
	 * @return
	 */
	public String update(Message message, String pt);

	/**
	 * 分页查询全部
	 * 
	 * @param pageNo
	 * @param pageSize
	 * @param pt
	 * @return
	 */
	public PageEty findAll(int pageNo, int pageSize, String pt);

	/**
	 * 分页模板名查询
	 * 
	 * @param templateName
	 * @param pageNo
	 * @param pageSize
	 * @param pt
	 * @return
	 */
	public PageEty findByTmpName(String templateName, int pageNo, int pageSize, String pt);

	/**
	 * 根据id删除
	 * 
	 * @param MessageId
	 * @param pt
	 * @return
	 */
	public boolean delete(List<String> MessageId);

	public boolean delete(String id);

	/**
	 * 分页查询模板名信息
	 * 
	 * @param pageNo
	 * @param pageSize
	 * @param handle
	 * @param tempName
	 * @param pt
	 * @return
	 */
	public PageEty findByHandle(int pageNo, int pageSize, boolean handle, String tempName, String pt);

	/**
	 * 查询错误信息
	 * 
	 * @param tempName
	 * @param errorType
	 * @return
	 */
	public Message findMsg(String tempName, String errorType);
}
